#!/usr/bin/env bash

set -e

for compose_file in /opt/docker/**/docker-compose.yml; do
  if [[ $(docker compose -f "$compose_file" ps -q) ]]; then
    echo "> Updating $compose_file"
    docker compose -f "$compose_file" pull
    docker compose -f "$compose_file" up -d --remove-orphans
    echo ""
  else
    echo "> Skipping $compose_file as it's not running."
    echo ""
  fi
done

echo "> Containers have been updated."
echo ""

confirm=n
read -p "> Do you want to remove all dangling images? [y/N]" confirm
echo ""

if [[ $confirm == [yY] ]]; then
  docker image prune -f -a
  echo "> All dangling images have been removed."
else
  echo "> Dangling images haven't been removed."
fi

exit
