# ntfy

- [ntfy](#ntfy)
  - [Directory structure](#directory-structure)
  - [Config](#config)

## Directory structure
```
/opt/docker/ntfy
.
├── docker-compose.yml
└── volumes
    ├── cache
    └── ntfy
        └── server.yml
```



## Config
```
# Start container
docker compose up -d && docker compose logs -f

# Move config file into ntfy directory
mv server.yml volumes/ntfy/

# Restart ntfy container
docker compose restart

# Access the container shell
docker compose exec -it ntfy sh

# Create a admin
ntfy user add --role=admin username
# Create a user and grant read / write access to topic
ntfy user add --role=user username
ntfy access username topic rw

# Create web push key pair
# required for background push notification with webapp
ntfy webpush keys

# Edit ntfy config
vi server.yml

# Restart ntfy container again
docker compose restart
```